package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
/* loaded from: org_apache_commons_lang3_function.jar:org/apache/commons/lang3/function/FailableDoubleToLongFunction.class */
public interface FailableDoubleToLongFunction<E extends Throwable> {
    public static final FailableDoubleToLongFunction NOP = t -> {
        return 0;
    };

    int applyAsLong(double d) throws Throwable;

    static <E extends Throwable> FailableDoubleToLongFunction<E> nop() {
        return NOP;
    }
}
